summaryrefslogtreecommitdiffhomepage
path: root/once
diff options
context:
space:
mode:
authormidipix <writeonce@midipix.org>2018-10-20 12:34:38 -0400
committermidipix <writeonce@midipix.org>2018-10-21 11:57:37 -0400
commitacd2fc46d1b6a3d798892e10af90ecfad5330100 (patch)
tree37482af42c3177ba676e2a3ac02d18e93c0dcc63 /once
parent7c43f8204d6236bc074bd87202f06c41a0a93f35 (diff)
downloadmpackage-acd2fc46d1b6a3d798892e10af90ecfad5330100.tar.bz2
mpackage-acd2fc46d1b6a3d798892e10af90ecfad5330100.tar.xz
added --radmins (optionally provide the admins group with root-like access).
Diffstat (limited to 'once')
-rwxr-xr-xonce/install.bat1
-rwxr-xr-xonce/install.sh4
-rwxr-xr-xonce/vendor.bat1
3 files changed, 6 insertions, 0 deletions
diff --git a/once/install.bat b/once/install.bat
index 32aa371..5553bab 100755
--- a/once/install.bat
+++ b/once/install.bat
@@ -12,6 +12,7 @@ echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo this is the @product@ installation script
echo SYSROOT currently set to %SYSROOT%
echo shell_sysroot set to %shell_sysroot%
+echo admins_group_emulates_root set to %admins_group_emulates_root%
echo press any key to continue with installation, or CTRL-C to abort
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
diff --git a/once/install.sh b/once/install.sh
index e34580b..a1762cd 100755
--- a/once/install.sh
+++ b/once/install.sh
@@ -10,6 +10,10 @@ else
mkdir -p "$SYSROOT" || exit 2
fi
+if [ "$admins_group_emulates_root" = 'yes' ]; then
+ ntux --cmd=chmod --strmode=m+p "$SYSROOT" || exit 2
+fi
+
for tarball in /tarballs/*.tar.gz; do
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
echo extracting files from $tarball
diff --git a/once/vendor.bat b/once/vendor.bat
index 6b832e0..6ef71bc 100755
--- a/once/vendor.bat
+++ b/once/vendor.bat
@@ -3,6 +3,7 @@
cls
set SYSROOT=@sysroot@
+set admins_group_emulates_root=@radmins@
echo.
echo ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++